/***********************************
  (C) Copyright 1992-1993; dit/upm
   Distributed under the conditions stated in the
   TOPO General Public License (see file LICENSE)
 ***********************************/

/***********************************

   Santiago Pavon Gomez

   12-12-1989

   standard header

************************************/


#ifndef LIstdh_H
#define LIstdh_H

#include <stdio.h>
/* KJT 11/03/98: changed to local file for NS/OS */

#ifdef __NeXT__
#include "values.h"
#else
#include <values.h>
#endif

#include <sys/types.h>
#include <assert.h>
#include <string.h>
#include <ctype.h>

/*#include <malloc.h>*/
#ifdef sun
  char* malloc ();
  char* calloc ();
  char* realloc ();
#else
  void* malloc ();
  void* calloc ();
  void* realloc ();
#endif

#ifndef TRUE
#define TRUE      1
#define FALSE     0
#endif


#ifndef ON
#define ON      TRUE
#define OFF     FALSE
#endif

/*
#ifdef lint
extern void exit();
#endif
*/

typedef int boolean;

#define WORDLENGTH BITS(u_long)
#define WORDBYTES  sizeof(u_long)

extern void Assert();
#ifdef SDEBUG
#define LASSERT(c) {Assert(c,__FILE__,__LINE__);}
#else
#define LASSERT(c)
#endif

#define MIN(x,y) ((x>y)?y:x)
#define MAX(x,y) ((x>y)?x:y)


#endif









