/***********************************
  (C) Copyright 1992-1993; dit/upm
   Distributed under the conditions stated in the
   TOPO General Public License (see file LICENSE)
 ***********************************
 $Log: swbus.h,v $
 * Revision 2.7  1993/01/18  18:11:22  lotos
 * distribution issues
 *
 * Revision 2.6  1993/01/12  20:20:08  lotos
 * portability issues
 *
 * Revision 2.5  1993/01/12  14:21:40  lotos
 * use conf.h for portability
 *
 * Revision 2.4  1992/11/17  17:44:13  lotos
 * move local colours to avoid collisions with shared ones
 *
 * Revision 2.3  1992/09/11  16:46:10  lotos
 * adapt to new location of annotations
 *
 * Revision 2.2  1992/02/21  18:40:01  lotos
 * write process name at ENDPROC
 *
 * Revision 2.1  92/02/07  17:27:36  lotos
 * complete remake of reshuffling functions
 * 
 * Revision 1.4  92/01/14  15:24:31  lotos
 * distribution issues
 * 
 * Revision 1.3  92/01/13  19:40:19  lotos
 * adjusted to new grammar
 * ready to ophuscate
 * 
 * Revision 1.2  91/02/28  19:38:34  lotos
 * better folding of boxes H->V
 * annotations are considered
 * 
 * Revision 1.1  91/01/31  16:07:33  lotos
 * Initial revision
 * 
 ***********************************/

#define PUBLIC
#define PRIVATE static
#define SHARED extern

# include <stdlib.h>
# include <stdio.h>
# include <string.h>
# include <ctype.h>
# include <assert.h>
# include "version.h"

# include "rag.hh"
# include "nodes.h"
# include "box.hh"

SHARED	char*	toolname;
/* KJT 12/02/12: Omitted SHARED	FILE*	sfp; */
SHARED	FILE*	cfp;
SHARED	AT*	ATable;

SHARED	int	flagd;
SHARED	int	flagu;
SHARED	int	flagl;

SHARED	int	x_limit;
SHARED	int	y_limit;
SHARED	int	i_incr;
SHARED	int	s_incr;

# define nil(type) (type)NULL

# include "colours.h"
# define c_box          102
# define c_indent	103

# define l2s(idx) (char*)(SymbolTable->data[(int)(ATable->data[(int)idx].value1)])

BOX	bident  ();
char*	cident	();
BOX	slist	();
BOX	build_ve ();
BOX	pr_excom ();
BOX	pr_excom_it ();
void	dendproc ();
